import { IUIProviderProps as ICoreUIContextProviderProps } from "@reactionable/core/lib/ui/UI";
import { PropsWithChildren, ReactElement } from "react";
import { IUseErrorAlertProps } from "./alert/ErrorAlert";
import { IUseWarningAlertProps } from "./alert/WarningAlert";
import { IUseConfirmationProps } from "./confirmation/Confirmation";
import { IUseLayoutProps } from "./layout/Layout";
import { IUseLoaderProps } from "./loader/Loader";
import { IUseModalProps } from "./modal/Modal";
import { IUseErrorNotificationProps } from "./notification/ErrorNotification";
import { IUseSuccessNotificationProps } from "./notification/SuccessNotification";
export declare type IUIProviderProps = ICoreUIContextProviderProps<IUseLoaderProps, IUseSuccessNotificationProps, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, IUseConfirmationProps, IUseLayoutProps, IUseModalProps>;
export declare function useUIProviderProps(props?: Partial<IUIProviderProps>): IUIProviderProps;
export declare const UIContextProvider: (props?: PropsWithChildren<Partial<import("@reactionable/core").IProviderProps<{
    useLoader: <Props extends IUseLoaderProps = IUseLoaderProps>(props: Props) => import("@reactionable/core").IUseLoaderResult;
    useSuccessNotification: <Props_1 extends PropsWithChildren<import("@reactionable/core").INotificationProps & {
        Component?: import("react").ComponentClass<import("@reactionable/core").INotificationProps, any> | import("react").FunctionComponent<import("@reactionable/core").INotificationProps> | undefined;
    }> = PropsWithChildren<import("@reactionable/core").INotificationProps & {
        Component?: import("react").ComponentClass<import("@reactionable/core").INotificationProps, any> | import("react").FunctionComponent<import("@reactionable/core").INotificationProps> | undefined;
    }>>(props: Props_1) => import("@reactionable/core").IUseSuccessNotificationResult;
    useErrorNotification: <Props_2 extends IUseErrorNotificationProps = IUseErrorNotificationProps>(props: Props_2) => import("@reactionable/core").IUseErrorNotificationResult;
    useErrorAlert: <Props_3 extends IUseErrorAlertProps = IUseErrorAlertProps>(props?: Props_3 | undefined) => import("@reactionable/core").IUseErrorAlertResult;
    useWarningAlert: <Props_4 extends IUseWarningAlertProps = IUseWarningAlertProps>(props?: Props_4 | undefined) => import("@reactionable/core").IUseWarningAlertResult;
    useConfirmation: <Props_5 extends PropsWithChildren<import("@reactionable/core").IConfirmationProps & {
        Component?: import("react").ComponentClass<import("@reactionable/core").IConfirmationProps, any> | import("react").FunctionComponent<import("@reactionable/core").IConfirmationProps> | undefined;
    }> = PropsWithChildren<import("@reactionable/core").IConfirmationProps & {
        Component?: import("react").ComponentClass<import("@reactionable/core").IConfirmationProps, any> | import("react").FunctionComponent<import("@reactionable/core").IConfirmationProps> | undefined;
    }>>(props: Props_5) => import("@reactionable/core").IUseConfirmationResult;
    useLayout: <Props_6 extends PropsWithChildren<import("./layout/Layout").ILayoutProps & {
        Component?: import("react").ComponentClass<import("./layout/Layout").ILayoutProps, any> | import("react").FunctionComponent<import("./layout/Layout").ILayoutProps> | undefined;
    }> = PropsWithChildren<import("./layout/Layout").ILayoutProps & {
        Component?: import("react").ComponentClass<import("./layout/Layout").ILayoutProps, any> | import("react").FunctionComponent<import("./layout/Layout").ILayoutProps> | undefined;
    }>>(props: Props_6) => import("@reactionable/core").IUseLayoutResult;
    useForm: <Values extends import("@reactionable/core").IFormValues, Data extends import("@reactionable/core").IFormData, FormButtonProps extends import("@reactionable/core").IFormButtonProps>(props: import("@reactionable/core").IUseFormProps<Values, Data, FormButtonProps>) => import("@reactionable/core").IUseFormResult;
    useFormField: <FieldElementProps extends import("@reactionable/core").IFieldElementProps<import("react").HTMLProps<HTMLInputElement>> = import("@reactionable/core").IFieldElementProps<import("react").HTMLProps<HTMLInputElement>>, Value extends string = string>(props: import("@reactionable/core").IUseFormFieldProps<FieldElementProps, Value>) => import("@reactionable/core").IUseFormFieldResult;
    useModal: <Props_7 extends PropsWithChildren<import("@reactionable/core").IModalProps & import("react-bootstrap").ModalProps & {
        body?: import("react").ReactNode;
        footer?: import("react").ReactNode;
    } & {
        Component?: import("react").ComponentClass<import("./modal/Modal").IModalProps, any> | import("react").FunctionComponent<import("./modal/Modal").IModalProps> | undefined;
    }> = PropsWithChildren<import("@reactionable/core").IModalProps & import("react-bootstrap").ModalProps & {
        body?: import("react").ReactNode;
        footer?: import("react").ReactNode;
    } & {
        Component?: import("react").ComponentClass<import("./modal/Modal").IModalProps, any> | import("react").FunctionComponent<import("./modal/Modal").IModalProps> | undefined;
    }>>(props: Props_7) => import("@reactionable/core").IUseModalResult;
    useModalForm: <Values_1 extends import("@reactionable/core").IFormValues = import("@reactionable/core").IFormValues, Data_1 extends import("@reactionable/core").IFormData = import("@reactionable/core").IFormData, FormButtonProps_1 extends import("@reactionable/core").IFormButtonProps = import("@reactionable/core").IFormButtonProps, ModalProps extends import("@reactionable/core").IModalProps = import("@reactionable/core").IModalProps>(props: import("@reactionable/core").IUseModalFormProps<Values_1, Data_1, FormButtonProps_1, ModalProps>) => import("@reactionable/core").IUseModalResult;
    useLink: <LinkProps extends import("@reactionable/core").ILinkProps = import("@reactionable/core").ILinkProps>(props: LinkProps) => ReactElement<any, string | ((props: any) => ReactElement<any, string | any | (new (props: any) => import("react").Component<any, any, any>)> | null) | (new (props: any) => import("react").Component<any, any, any>)>;
}>>> | undefined) => ReactElement;
export declare function useUIContext(): IUIProviderProps;
