"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormField = exports.RenderFormField = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const FormField_1 = require("@reactionable/core/lib/form/FormField");
const Feedback_1 = tslib_1.__importDefault(require("react-bootstrap/Feedback"));
const FormCheck_1 = tslib_1.__importDefault(require("react-bootstrap/FormCheck"));
const FormControl_1 = tslib_1.__importDefault(require("react-bootstrap/FormControl"));
const FormGroup_1 = tslib_1.__importDefault(require("react-bootstrap/FormGroup"));
const FormLabel_1 = tslib_1.__importDefault(require("react-bootstrap/FormLabel"));
function RenderFormField({ error, isValid, isInvalid, field, }) {
    let fieldContent;
    const fieldProps = Object.assign(Object.assign({}, field), { isValid,
        isInvalid });
    if (field.type === "checkbox") {
        fieldContent = jsx_runtime_1.jsx(FormCheck_1.default, Object.assign({}, fieldProps), void 0);
    }
    else {
        fieldContent = jsx_runtime_1.jsx(FormControl_1.default, Object.assign({}, fieldProps), void 0);
        if (field.label) {
            fieldContent = (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsx(FormLabel_1.default, { children: field.label }, void 0), fieldContent] }, void 0));
        }
    }
    if (error) {
        fieldContent = (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [fieldContent, jsx_runtime_1.jsx(Feedback_1.default, Object.assign({ type: "invalid" }, { children: error }), void 0)] }, void 0));
    }
    if (field.type === "hidden") {
        return fieldContent;
    }
    return jsx_runtime_1.jsx(FormGroup_1.default, Object.assign({ controlId: field.name }, { children: fieldContent }), void 0);
}
exports.RenderFormField = RenderFormField;
function FormField(props) {
    return jsx_runtime_1.jsx(FormField_1.FormField, Object.assign({}, props, { render: RenderFormField }), void 0);
}
exports.FormField = FormField;
//# sourceMappingURL=FormField.js.map